[tox]
envlist =
    py38,
    py39,
    py310,
    py311,
    py312,
    flake8,
    coverage,
#    coverage_report

# skipsdist = true

[testenv]
deps =
    coverage
    flake8

commands = coverage run -m unittest

[testenv:flake8]
skip_install = true
deps = flake8
commands = flake8

[testenv:coverage]
skip_install = true
deps = coverage
commands = coverage report --fail-under=75 -m

[testenv:coverage_report]
skip_install = true
deps = coverage
commands = coverage html


[flake8]
exclude =
    .tox,
    .git,
    __pycache__,
    build,
    dist,
    tests/fixtures/*,
    *.pyc,
    *.egg-info,
    .cache,
    .eggs
    .venv*,

# E501 line too long
# E241 multiple spaces after
ignore = E501, E241


[coverage:run]
branch = True
source = sat_fp_utils

[coverage:report]
# Regexes for lines to exclude from consideration
exclude_lines =
    # Have to re-enable the standard pragma
    pragma: no cover

    # Don't complain about missing debug-only code:
    def __repr__
    if self\.debug

    # Don't complain if tests don't hit defensive assertion code:
    raise AssertionError
    raise NotImplementedError

    # Don't complain if non-runnable code isn't run:
    if 0:
    if __name__ == .__main__.:

ignore_errors = True

[coverage:html]
directory = tests/coverage_html_report
